[Ovirt-devel] [PATCH node] o-c-setup now catches and reports failures from called sub-scripts

Perry Myers pmyers at redhat.com
Mon Jan 19 08:26:02 UTC 2009


Signed-off-by: Perry Myers <pmyers at redhat.com>
---
 scripts/ovirt-config-setup |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

diff --git a/scripts/ovirt-config-setup b/scripts/ovirt-config-setup
index 21e6b0e..3d1292f 100755
--- a/scripts/ovirt-config-setup
+++ b/scripts/ovirt-config-setup
@@ -40,7 +40,15 @@ while true; do
                 "$CONTINUE") exit 0 ;;
                 *)
                     clear;
-                    $CONFIG_DIR/*"$OPTION" 2>&1 | $TEE;
+                    {
+                        $CONFIG_DIR/*"$OPTION"
+                        if [ $? = 0 ]; then
+                            printf "\n$OPTION Completed Successfully\n\n"
+                        else
+                            printf "\nERROR: $OPTION FAILED. "
+                            printf "See $OVIRT_LOGFILE\n\n"
+                        fi
+                    } 2>&1 | $TEE;
                     break ;;
             esac
         done
-- 
1.6.0.6




More information about the ovirt-devel mailing list